Bug 963994 - Entities aren't being expanded before validation
Entities aren't being expanded before validation
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
All All
unspecified Severity medium
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 21:20 EDT by James Pooton
Modified: 2013-12-18 21:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Pooton 2013-05-16 21:20:58 EDT
Description of problem:

Entities are working fine when used within normal paragraph content, however when trying to use one within Book_Info.xml like:

<productnumber>&PRODUCTVER;</productnumber>

The build will fail with:

Invalid format for version. Value (EMPTY) does not conform to constraint (^[0-9]) at /usr/bin/publican line 713.

Regardless of the value of PRODUCTVER.


Version-Release number of selected component (if applicable):

3.1.5 running under FC18


How reproducible:

Always.


Steps to Reproduce:
1. Create an entity in Book_Info.xml with a valid product number for a value (1.0)
2. Use it as the value for 'productnumber' (an example)
3. Attempt to build the book.
  
Actual results:

Invalid format for version. Value (EMPTY) does not conform to constraint (^[0-9]) at /usr/bin/publican line 713.


Expected results:

Entity value would be substituted and used.


Additional info:

Originated on mailing list at https://www.redhat.com/archives/publican-list/2013-May/msg00000.html
Comment 2 HSS Product Manager 2013-07-17 20:17:36 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Jeff Fearn 2013-07-18 02:24:54 EDT
This requires updating two upstream modules. XML::Catalog & XML::TreeBuilder.

XML::Catalog development has been inactive for some time, so it might take a while to get that sorted out. I've opened an RT ticket with a patch.

XML::TreeBuilder is easier to update, but it does require XML::Catalog to be patched first.

There isn't any code in Publican itself that needs to be changed for this, but we will need to do some decent testing once it's in place just to make sure.
Comment 4 Jeff Fearn 2013-09-17 02:27:11 EDT
Checked in.

You will need to grab the devel branch sources of two perl modules and update the packages on your system if you wish to test this.

https://github.com/jfearn/perl-XML-Catalog
https://github.com/jfearn/XML-TreeBuilder
Comment 5 Ruediger Landmann 2013-10-10 23:28:09 EDT
Verified on publican-3.9.9-0.fc19.t4.noarch

Note You need to log in before you can comment on or make changes to this bug.